4Suite™ API Documentation

# ► Module Ft.Rdf.Container

Classes for RDF Container objects
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: Alternative, Bag, Container, Sequence |  |  |  | Functions: SortStatements |  |  |  | Fields: RDF_MS_BASE, baseLength

## Classes

class Alternative(Container)
A list of resources or literals that represent alternatives for the (single) value of a property, as defined in sec. 3.1 of the 1999 RDF Model and Syntax Spec.

### Methods

__init__(self, uri=None, contents=None)

### Methods inherited from class Container

__repr__, append

### Methods inherited from class Ft.Rdf.Resource.Resource

isAnonymous, isBnode

### Methods inherited from class __builtin__.list

__add__, __contains__, __delitem__, __delslice__, __eq__, __ge__, __getattribute__, __getitem__, __getslice__, __gt__, __hash__, __iadd__, __imul__, __iter__, __le__, __len__, __lt__, __mul__, __ne__, __new__, __reversed__, __rmul__, __setitem__, __setslice__, count, extend, index, insert, pop, remove, reverse, sort

### Methods inherited from class __builtin__.object

__delattr__, __reduce__, __reduce_ex__, __setattr__, __str__

### Fields

class Bag(Container)
An unordered list of resources or literals, as defined in sec. 3.1 of the 1999 RDF Model and Syntax Spec.

### Methods

__init__(self, uri=None, contents=None)

### Methods inherited from class Container

__repr__, append

### Methods inherited from class Ft.Rdf.Resource.Resource

isAnonymous, isBnode

### Methods inherited from class __builtin__.list

__add__, __contains__, __delitem__, __delslice__, __eq__, __ge__, __getattribute__, __getitem__, __getslice__, __gt__, __hash__, __iadd__, __imul__, __iter__, __le__, __len__, __lt__, __mul__, __ne__, __new__, __reversed__, __rmul__, __setitem__, __setslice__, count, extend, index, insert, pop, remove, reverse, sort

### Methods inherited from class __builtin__.object

__delattr__, __reduce__, __reduce_ex__, __setattr__, __str__

### Fields

class Container(Ft.Rdf.Resource.Resource, __builtin__.list)
Base class for Bag, Sequence, and Alternative, as defined in sec. 3.1 of the 1999 RDF Model and Syntax Spec.

### Methods

__init__(self, className, uri=None, contents=None)
__repr__(self)
append(self, obj)

### Methods inherited from class Ft.Rdf.Resource.Resource

isAnonymous, isBnode

### Methods inherited from class __builtin__.list

__add__, __contains__, __delitem__, __delslice__, __eq__, __ge__, __getattribute__, __getitem__, __getslice__, __gt__, __hash__, __iadd__, __imul__, __iter__, __le__, __len__, __lt__, __mul__, __ne__, __new__, __reversed__, __rmul__, __setitem__, __setslice__, count, extend, index, insert, pop, remove, reverse, sort

### Methods inherited from class __builtin__.object

__delattr__, __reduce__, __reduce_ex__, __setattr__, __str__

### Fields

__dict__ = <attribute '__dict__' of 'Container' objects>
dictionary for instance variables (if defined)
__weakref__ = <attribute '__weakref__' of 'Container' objects>
list of weak references to the object (if defined)

### Fields

class Sequence(Container)
An ordered list of resources or literals, as defined in sec. 3.1 of the 1999 RDF Model and Syntax Spec.

### Methods

__init__(self, uri=None, contents=None)

### Methods inherited from class Container

__repr__, append

### Methods inherited from class Ft.Rdf.Resource.Resource

isAnonymous, isBnode

### Methods inherited from class __builtin__.list

__add__, __contains__, __delitem__, __delslice__, __eq__, __ge__, __getattribute__, __getitem__, __getslice__, __gt__, __hash__, __iadd__, __imul__, __iter__, __le__, __len__, __lt__, __mul__, __ne__, __new__, __reversed__, __rmul__, __setitem__, __setslice__, count, extend, index, insert, pop, remove, reverse, sort

### Methods inherited from class __builtin__.object

__delattr__, __reduce__, __reduce_ex__, __setattr__, __str__

### Fields

## Functions

SortStatements(left, right)

## Fields

RDF_MS_BASE = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'
baseLength = 44